package com.ruoyi.file.service;

import com.ruoyi.file.domain.FilesStorage;

import java.util.List;

/**
 * 存放表Service接口
 * 
 * @author cmc
 * @date 2022-09-06
 */
public interface IFilesStorageService 
{
    /**
     * 查询存放表
     * 
     * @param id 存放表主键
     * @return 存放表
     */
    public FilesStorage selectFilesStorageById(String id);

    /**
     * 查询存放表列表
     * 
     * @param filesStorage 存放表
     * @return 存放表集合
     */
    public List<FilesStorage> selectFilesStorageList(FilesStorage filesStorage);

    /**
     * 查询存放表列表
     *
     * @param filesStorage 存放表
     * @return 存放表集合
     */
    public List<FilesStorage> selectFilesStorageListE(FilesStorage filesStorage);

    /**
     * 新增存放表
     * 
     * @param filesStorage 存放表
     * @return 结果
     */
    public int insertFilesStorage(FilesStorage filesStorage);

    /**
     * 修改存放表
     * 
     * @param filesStorage 存放表
     * @return 结果
     */
    public int updateFilesStorage(FilesStorage filesStorage);

    /**
     * 批量删除存放表
     * 
     * @param ids 需要删除的存放表主键集合
     * @return 结果
     */
    public int deleteFilesStorageByIds(String[] ids);

    /**
     * 删除存放表信息
     * 
     * @param id 存放表主键
     * @return 结果
     */
    public int deleteFilesStorageById(String id);
}
